org.apache.ignite.internal.processors.cache.persistence.wal.scanner

## Class WalScanner.ScanTerminateStep

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.wal.scanner.WalScanner.ScanTerminateStep

Enclosing class:
  WalScanner

    public static class WalScanner.ScanTerminateStep
    extends Object

Terminate state of scanning of WAL for ability to do chaining flow.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `forEach(@NotNull ScannerHandler handler)` Execute given handler on each record.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### forEach

    public void forEach(@NotNull
                        @NotNull ScannerHandler handler)
                 throws IgniteCheckedException

Execute given handler on each record.

Parameters:
  `handler` - Single record handler.
Throws:
  `IgniteCheckedException` - If iteration was failed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023